.deploy-compose:
  stage: deploy
  image: docker/compose:alpine-1.29.2
  script:
    - export DOCKER_HOST="tcp://$DEPLOY_HOST:2375"
    - echo "$CI_JOB_TOKEN" | docker login -u $CI_REGISTRY_USER $CI_REGISTRY --password-stdin
    - docker-compose pull
    - docker-compose rm --force --stop || true
    - docker-compose up --detach
  tags:
    - "docker"
